App::Cmd::Subdispatch(3)

NAME
App::Cmd::Subdispatch - an App::Cmd::Command that is also an App::Cmd

VERSION
version 0.318

METHODS

  new
A hackish new that allows us to have an Command instance before they normally exist.

  prepare
  my $subcmd = $subdispatch->prepare($app, @args);

An overridden version of "prepare" in App::Cmd::Command that performs a new dispatch cycle.

  app
  $subdispatch->app;

This method returns the application that this subdispatch is a command of.

  choose_parent_app
  $subcmd->prepare(
    $subdispatch->choose_parent_app($app, $opt, $plugin),
    @$args
  );

A method that chooses whether the parent app or the subdispatch is going to be "$cmd->app".

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.